VERSION 5.00
Begin VB.Form DialogComposeUrl 
   BorderStyle     =   3  'Œ޲۸
   Caption         =   "Compose URL"
   ClientHeight    =   1680
   ClientLeft      =   630
   ClientTop       =   3360
   ClientWidth     =   6600
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1680
   ScaleWidth      =   6600
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows ̊l
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      Left            =   5400
      TabIndex        =   6
      TabStop         =   0   'False
      Top             =   1200
      Width           =   1095
   End
   Begin VB.CommandButton cmdOk 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   375
      Left            =   4080
      TabIndex        =   5
      TabStop         =   0   'False
      Top             =   1200
      Width           =   1215
   End
   Begin VB.TextBox txtSufix 
      Height          =   270
      Left            =   1320
      TabIndex        =   4
      Text            =   "Text1"
      Top             =   840
      Width           =   5175
   End
   Begin VB.TextBox txtFormat 
      Height          =   270
      Left            =   5520
      TabIndex        =   3
      Text            =   "Text1"
      Top             =   480
      Width           =   975
   End
   Begin VB.TextBox txtNumberEnd 
      Height          =   270
      Left            =   3600
      TabIndex        =   2
      Text            =   "Text1"
      Top             =   480
      Width           =   855
   End
   Begin VB.TextBox txtNumberStart 
      Height          =   270
      Left            =   2040
      TabIndex        =   1
      Text            =   "Text1"
      Top             =   480
      Width           =   855
   End
   Begin VB.TextBox txtPrefix 
      Height          =   270
      Left            =   1320
      TabIndex        =   0
      Text            =   "Text1"
      Top             =   120
      Width           =   5175
   End
   Begin VB.Label Label6 
      AutoSize        =   -1  'True
      Caption         =   "Sufix Part"
      Height          =   180
      Left            =   120
      TabIndex        =   12
      Top             =   885
      Width           =   765
   End
   Begin VB.Label Label5 
      AutoSize        =   -1  'True
      Caption         =   "Fromat"
      Height          =   180
      Left            =   4800
      TabIndex        =   11
      Top             =   525
      Width           =   540
   End
   Begin VB.Label Label4 
      AutoSize        =   -1  'True
      Caption         =   "To"
      Height          =   180
      Left            =   3240
      TabIndex        =   10
      Top             =   525
      Width           =   195
   End
   Begin VB.Label Label3 
      AutoSize        =   -1  'True
      Caption         =   "From"
      Height          =   180
      Left            =   1440
      TabIndex        =   9
      Top             =   525
      Width           =   390
   End
   Begin VB.Label Label2 
      AutoSize        =   -1  'True
      Caption         =   "Number Part"
      Height          =   180
      Left            =   120
      TabIndex        =   8
      Top             =   525
      Width           =   960
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "Prefix Part"
      Height          =   180
      Left            =   120
      TabIndex        =   7
      Top             =   165
      Width           =   825
   End
End
Attribute VB_Name = "DialogComposeUrl"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Public IsCanceled As Boolean

Private mintNumberStart As Integer
Private mintNumberEnd As Integer
Private mstrFormat As String
Private mstrPrefix As String
Private mstrSufix As String

Private Sub cmdCancel_Click()
    IsCanceled = True
    Me.Hide
End Sub

Private Sub cmdOk_Click()
    Dim I As Long, strDummy As String
    
    On Error Resume Next
    
    mstrPrefix = txtPrefix.Text
    mstrSufix = txtSufix.Text
    
    If Not IsNumeric(txtNumberStart.Text) Then
        MsgBox "Invalid Start Number", vbCritical, "Input Error"
        Exit Sub
    End If
    mintNumberStart = CInt(txtNumberStart.Text)
    If Err.Number <> 0 Then
        MsgBox "Invalid Start Number", vbCritical, "Input Error"
        Err.Clear
        Exit Sub
    End If
    
    If Not IsNumeric(txtNumberEnd.Text) Then
        MsgBox "Invalid End Number", vbCritical, "Input Error"
        Exit Sub
    End If
    mintNumberEnd = CInt(txtNumberEnd.Text)
    If Err.Number <> 0 Then
        MsgBox "Invalid End Number", vbCritical, "Input Error"
        Err.Clear
        Exit Sub
    End If
    
    mstrFormat = txtFormat.Text
    For I = mintNumberStart To mintNumberEnd
        strDummy = Format$(I, mstrFormat)
        If Err.Number <> 0 Then
            MsgBox "Format Check Failure", vbCritical, "Input Error"
            Err.clera
            Exit Sub
        End If
    Next I
    
    IsCanceled = False
    Me.Hide
End Sub

Private Sub Form_Activate()
    txtPrefix.Text = mstrPrefix
    txtNumberStart.Text = mintNumberStart
    txtNumberEnd.Text = mintNumberEnd
    txtFormat.Text = mstrFormat
    txtSufix.Text = mstrSufix
End Sub

Private Sub Form_Initialize()
    mstrPrefix = "http://sample/"
    mintNumberStart = 1
    mintNumberEnd = 100
    mstrFormat = "###"
    mstrSufix = ".jpg"
End Sub

Public Sub GetList(colComposedURLs As Collection)
    Dim I As Long
    
    If colComposedURLs Is Nothing Then Exit Sub
    
    Do Until colComposedURLs.Count = 0
        colComposedURLs.Remove 1
    Loop
    
    For I = mintNumberStart To mintNumberEnd
        colComposedURLs.Add mstrPrefix & Format$(I, mstrFormat) & mstrSufix
    Next I
End Sub

Private Sub txtFormat_GotFocus()
    With txtFormat
        .SelStart = 0
        .SelLength = Len(.Text)
    End With
End Sub

Private Sub txtFormat_KeyPress(KeyAscii As Integer)
    If KeyAscii <> 48 And KeyAscii <> 35 And KeyAscii <> 8 Then KeyAscii = 0
End Sub

Private Sub txtNumberEnd_GotFocus()
    With txtNumberEnd
        .SelStart = 0
        .SelLength = Len(.Text)
    End With
End Sub

Private Sub txtNumberEnd_KeyPress(KeyAscii As Integer)
    KeyAscii = KeyFilterNumber(KeyAscii)
End Sub

Private Sub txtNumberStart_GotFocus()
    With txtNumberStart
        .SelStart = 0
        .SelLength = Len(.Text)
    End With
End Sub

Private Sub txtNumberStart_KeyPress(KeyAscii As Integer)
    KeyAscii = KeyFilterNumber(KeyAscii)
End Sub

Private Function KeyFilterNumber(ByVal KeyAscii As Integer)
    Select Case KeyAscii
        Case 8
            KeyFilterNumber = KeyAscii
        Case 48 To 57
            KeyFilterNumber = KeyAscii
        Case Else
            KeyFilterNumber = 0
    End Select
End Function

Public Property Let Prefix(ByVal strNewValue As String)
    mstrPrefix = strNewValue
End Property
